Update Extract Template
curl --request PATCH \
--url https://sdk.nimbleway.com/v2/extract/templates/{extract_template_name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"path": "<string>",
"from": "<string>",
"value": null
}
]
'import requests
url = "https://sdk.nimbleway.com/v2/extract/templates/{extract_template_name}"
payload = [
{
"path": "<string>",
"from": "<string>",
"value": None
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{path: '<string>', from: '<string>', value: null}])
};
fetch('https://sdk.nimbleway.com/v2/extract/templates/{extract_template_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"published_version": {
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input_schema": {},
"metadata": {
"data_source": "<string>",
"description": "<string>",
"display_name": "<string>",
"domain": "<string>",
"entity_type": "<string>",
"tags": [
"<string>"
],
"vertical": "<string>"
},
"name": "<string>",
"output_schema": {},
"version_number": 123,
"samples": [
{
"input": "<unknown>",
"output": "<unknown>"
}
]
},
"published_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Update Extract Template
PATCH
/
v2
/
extract
/
templates
/
{extract_template_name}
Update Extract Template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/jsonapplication/json-patch+json
Response
Successful Response
When the extract template was created.
Unique extract template identifier.
Stable extract template name.
When the extract template was last updated.
Published version details, when available.
Show child attributes
Show child attributes
Identifier of the published version.
Was this page helpful?
⌘I